%define name lam
%define version 7.0.6
%define release 2mdk
%define lib_name_orig liblam
%define major           7
%define lib_name %mklibname %name %{major}

%define mpihome %{_localstatedir}/mpi
%define mpiname mpiname
%define lamhome %{_libdir}/lam
%define lambin %{lamhome}/bin
%define transport sysv

Summary: The LAM (Local Area Multicomputer) programming environment.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Development/Other
Source: 	%{name}-%{version}.tar.bz2
Source1: 	lam.sh
Source2: 	lam.csh
Source3:	rhosts
Source4:	test_mpi.c
Patch0:		lam-6.5.8-makefile.patch.bz2
#Patch1:		lam-errno.patch.bz2
#Patch2:		lam-errno-1.patch.bz2
URL: 		http://www.lam-mpi.org/
BuildRoot: 	%{_tmppath}/%{name}-root
Prefix: 	%{_prefix}
BuildRequires: 	gcc-g77 fileutils perl

%description 
LAM (Local Area Multicomputer) is an Message-Passing Interface (MPI)
programming environment and development system for heterogeneous
computers on a network. With LAM/MPI, a dedicated cluster or an
existing network computing infrastructure can act as one parallel
computer to solve one problem. LAM/MPI is considered to be "cluster
friendly" because it offers daemon-based process startup/control as
well as fast client-to-client message passing protocols. LAM/MPI can
use TCP/IP and/or shared memory for message passing (different RPMs
are supplied for this -- see the main LAM website at
http://www.mpi.nd.edu/lam/ for details).<

LAM features a full implementation of MPI version 1 (with the
exception that LAM does not support cancelling of sends), and much of
version 2. Compliant applications are source code portable between LAM
and any other implementation of MPI. In addition to meeting the
standard, LAM/MPI offers extensive monitoring capabilities to support
debugging. Monitoring happens on two levels: On one level, LAM/MPI has
the hooks to allow a snapshot of a process and message status to be
taken at any time during an application run. The status includes all
aspects of synchronization plus datatype map/signature, communicator
group membership and message contents (see the XMPI application on the
main LAM website). On the second level, the MPI library can produce a
cumulative record of communication, which can be visualized either at
runtime or post-mortem.

%package 	devel
Summary: 	Development binaries for lam environment
Group: 		Development/Other
Requires:	%{lib_name}-devel
#Conflicts:	mpicc

%description devel
LAM development binaries for compiling parallel programs.

%package 	doc
Summary: 	Documentation for developing programs that will use lam-mpi
Group: 		Development/Other
#Conflicts:	libmpich0-devel
#Requires: %{name} = %{version}-%{release}

%description doc
LAM (Local Area Multicomputer) is an Message-Passing Interface (MPI)
programming environment and development system for heterogeneous
computers on a network. With LAM/MPI, a dedicated cluster or an
existing network computing infrastructure can act as one parallel
computer to solve one problem. LAM/MPI is considered to be "cluster
friendly" because it offers daemon-based process startup/control as
well as fast client-to-client message passing protocols. LAM/MPI can
use TCP/IP and/or shared memory for message passing (different RPMs
are supplied for this -- see the main LAM website at
http://www.mpi.nd.edu/lam/ for details).<

LAM features a full implementation of MPI version 1 (with the
exception that LAM does not support cancelling of sends), and much of
version 2. Compliant applications are source code portable between LAM
and any other implementation of MPI. In addition to meeting the
standard, LAM/MPI offers extensive monitoring capabilities to support
debugging. Monitoring happens on two levels: On one level, LAM/MPI has
the hooks to allow a snapshot of a process and message status to be
taken at any time during an application run. The status includes all
aspects of synchronization plus datatype map/signature, communicator
group membership and message contents (see the XMPI application on the
main LAM website). On the second level, the MPI library can produce a
cumulative record of communication, which can be visualized either at
runtime or post-mortem.

This package provides the documentation needed to develop
applications using the lam libraries.

%package 	-n %{lib_name}-devel
Summary: 	Headers for developing programs that will use lam-mpi
Group: 		Development/Other
#Conflicts:	libmpich0-devel
Requires:	lam-devel
#Requires: %{name} = %{version}-%{release}

%description -n %{lib_name}-devel
LAM (Local Area Multicomputer) is an Message-Passing Interface (MPI)
programming environment and development system for heterogeneous
computers on a network. With LAM/MPI, a dedicated cluster or an
existing network computing infrastructure can act as one parallel
computer to solve one problem. LAM/MPI is considered to be "cluster
friendly" because it offers daemon-based process startup/control as
well as fast client-to-client message passing protocols. LAM/MPI can
use TCP/IP and/or shared memory for message passing (different RPMs
are supplied for this -- see the main LAM website at
http://www.mpi.nd.edu/lam/ for details).<

LAM features a full implementation of MPI version 1 (with the
exception that LAM does not support cancelling of sends), and much of
version 2. Compliant applications are source code portable between LAM
and any other implementation of MPI. In addition to meeting the
standard, LAM/MPI offers extensive monitoring capabilities to support
debugging. Monitoring happens on two levels: On one level, LAM/MPI has
the hooks to allow a snapshot of a process and message status to be
taken at any time during an application run. The status includes all
aspects of synchronization plus datatype map/signature, communicator
group membership and message contents (see the XMPI application on the
main LAM website). On the second level, the MPI library can produce a
cumulative record of communication, which can be visualized either at
runtime or post-mortem.

This package provides the static libraries and header files needed to compile
applications using the lam libraries.

%package 	runtime
Summary: 	LAM runtime environment for executing parallel programs.
Group: 		Development/Other
#Conflicts: 	mpich
#Requires: %{name} = %{version}-%{release}

%description runtime
LAM runtime environment for executing parallel programs.
LAM is an implementation of the Message Passing Interface (MPI)
protocol commonly used in parallel processing applications.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p0
#%patch1 -p0
#%patch2 -p0

%build
./configure --sysconfdir=%{_sysconfdir}/lam \
	--with-rpi=%{transport} \
	--with-rsh=%{_bindir}/rsh \
	--with-trillium \
	--with-romio \
	--prefix=%{lamhome} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--datadir=%{_datadir}\
	--libdir=%{_libdir}/lam/lib
make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_bindir}

#(
#cd $RPM_BUILD_ROOT%{_bindir}
#for file in $RPM_BUILD_ROOT/usr/lib/lam/bin/*; do base=$(basename
#$file); ln -s ../lib/lam/bin/$base ; done
#rm mpi*
#mv wipe lamwipe
#)

#mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{mpiname}
mkdir -p $RPM_BUILD_ROOT/%{mpihome}
#install %{SOURCE3} $RPM_BUILD_ROOT%{_docdir}/%{mpiname}/rhosts
#install %{SOURCE3} $RPM_BUILD_ROOT/%{mpihome}/.rhosts

pushd $RPM_BUILD_ROOT
%ifarch x86_64
rm -f usr/lib64/lam/include/mpi++.h
ln -s mpi2c++/mpi++.h usr/lib64/lam/include/mpi++.h
# balky has buildroot paths in the binary
perl -pi -e "s|(.*=).*hcp|\1/usr/lib64/lam/bin/hcp|g" usr/lib64/lam/bin/balky

%else

rm -f usr/lib/lam/include/mpi++.h
ln -s mpi2c++/mpi++.h usr/lib/lam/include/mpi++.h
# balky has buildroot paths in the binary
perl -pi -e "s|(.*=).*hcp|\1/usr/lib/lam/bin/hcp|g" usr/lib/lam/bin/balky
%endif




mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/

# A sample mpi program (hello world)
cd $RPM_BUILD_ROOT/
$RPM_BUILD_ROOT%{_bindir}/hcc -I$RPM_BUILD_ROOT%{_libdir}/lam/include -L$RPM_BUILD_ROOT%{_libdir}/lam/lib %{SOURCE4} -o $RPM_BUILD_ROOT/%{mpihome}/test_mpi.%{name}

#To avoid conflict with mpich package
mv usr/share/man/man1/mpirun.1 usr/share/man/man1/mpirun-lam.1
mv usr/bin/mpirun usr/bin/mpirun-lam
popd

%clean
rm -rf $RPM_BUILD_ROOT

%pre runtime
/usr/sbin/groupadd -g 12384 -r -f mpi > /dev/null 2>&1 ||:
/usr/sbin/useradd -u 12384 -g mpi -d %{mpihome} -r -s /bin/bash mpi -p "" -m > /dev/null 2>&1 ||:

%postun runtime
/usr/sbin/userdel mpi

%files -n %{name}-doc
%defattr(-,root,root)
#%doc %{_datadir}/doc/lam-doc-%{version}/*
%doc %{_datadir}/lam/doc/*
%{_mandir}/man3/MPIO_Request_c2f.3.bz2
%{_mandir}/man3/MPIO_Request_f2c.3.bz2
%{_mandir}/man3/MPIO_Test.3.bz2
%{_mandir}/man3/MPIO_Wait.3.bz2
%{_mandir}/man3/MPI_Abort.3.bz2
%{_mandir}/man3/MPI_Address.3.bz2
%{_mandir}/man3/MPI_Allgather.3.bz2
%{_mandir}/man3/MPI_Allgatherv.3.bz2
%{_mandir}/man3/MPI_Allreduce.3.bz2
%{_mandir}/man3/MPI_Alltoall.3.bz2
%{_mandir}/man3/MPI_Alltoallv.3.bz2
%{_mandir}/man3/MPI_Attr_delete.3.bz2
%{_mandir}/man3/MPI_Attr_get.3.bz2
%{_mandir}/man3/MPI_Attr_put.3.bz2
%{_mandir}/man3/MPI_Barrier.3.bz2
%{_mandir}/man3/MPI_Bcast.3.bz2
%{_mandir}/man3/MPI_Bsend.3.bz2
%{_mandir}/man3/MPI_Bsend_init.3.bz2
%{_mandir}/man3/MPI_Buffer_attach.3.bz2
%{_mandir}/man3/MPI_Buffer_detach.3.bz2
%{_mandir}/man3/MPI_Cancel.3.bz2
%{_mandir}/man3/MPI_Cart_coords.3.bz2
%{_mandir}/man3/MPI_Cart_create.3.bz2
%{_mandir}/man3/MPI_Cart_get.3.bz2
%{_mandir}/man3/MPI_Cart_map.3.bz2
%{_mandir}/man3/MPI_Cart_rank.3.bz2
%{_mandir}/man3/MPI_Cart_shift.3.bz2
%{_mandir}/man3/MPI_Cart_sub.3.bz2
%{_mandir}/man3/MPI_Cartdim_get.3.bz2
%{_mandir}/man3/MPI_Comm_compare.3.bz2
%{_mandir}/man3/MPI_Comm_create.3.bz2
%{_mandir}/man3/MPI_Comm_dup.3.bz2
%{_mandir}/man3/MPI_Comm_free.3.bz2
%{_mandir}/man3/MPI_Comm_group.3.bz2
%{_mandir}/man3/MPI_Comm_rank.3.bz2
%{_mandir}/man3/MPI_Comm_remote_group.3.bz2
%{_mandir}/man3/MPI_Comm_remote_size.3.bz2
%{_mandir}/man3/MPI_Comm_size.3.bz2
%{_mandir}/man3/MPI_Comm_split.3.bz2
%{_mandir}/man3/MPI_Comm_test_inter.3.bz2
%{_mandir}/man3/MPI_DUP_FN.3.bz2
%{_mandir}/man3/MPI_Dims_create.3.bz2
%{_mandir}/man3/MPI_Errhandler_create.3.bz2
%{_mandir}/man3/MPI_Errhandler_free.3.bz2
%{_mandir}/man3/MPI_Errhandler_get.3.bz2
%{_mandir}/man3/MPI_Errhandler_set.3.bz2
%{_mandir}/man3/MPI_Error_class.3.bz2
%{_mandir}/man3/MPI_Error_string.3.bz2
%{_mandir}/man3/MPI_File_c2f.3.bz2
%{_mandir}/man3/MPI_File_close.3.bz2
%{_mandir}/man3/MPI_File_delete.3.bz2
%{_mandir}/man3/MPI_File_f2c.3.bz2
%{_mandir}/man3/MPI_File_get_amode.3.bz2
%{_mandir}/man3/MPI_File_get_atomicity.3.bz2
%{_mandir}/man3/MPI_File_get_byte_offset.3.bz2
%{_mandir}/man3/MPI_File_get_errhandler.3.bz2
%{_mandir}/man3/MPI_File_get_group.3.bz2
%{_mandir}/man3/MPI_File_get_info.3.bz2
%{_mandir}/man3/MPI_File_get_position.3.bz2
%{_mandir}/man3/MPI_File_get_position_shared.3.bz2
%{_mandir}/man3/MPI_File_get_size.3.bz2
%{_mandir}/man3/MPI_File_get_type_extent.3.bz2
%{_mandir}/man3/MPI_File_get_view.3.bz2
%{_mandir}/man3/MPI_File_iread.3.bz2
%{_mandir}/man3/MPI_File_iread_at.3.bz2
%{_mandir}/man3/MPI_File_iread_shared.3.bz2
%{_mandir}/man3/MPI_File_iwrite.3.bz2
%{_mandir}/man3/MPI_File_iwrite_at.3.bz2
%{_mandir}/man3/MPI_File_iwrite_shared.3.bz2
%{_mandir}/man3/MPI_File_open.3.bz2
%{_mandir}/man3/MPI_File_preallocate.3.bz2
%{_mandir}/man3/MPI_File_read.3.bz2
%{_mandir}/man3/MPI_File_read_all.3.bz2
%{_mandir}/man3/MPI_File_read_all_begin.3.bz2
%{_mandir}/man3/MPI_File_read_all_end.3.bz2
%{_mandir}/man3/MPI_File_read_at.3.bz2
%{_mandir}/man3/MPI_File_read_at_all.3.bz2
%{_mandir}/man3/MPI_File_read_at_all_begin.3.bz2
%{_mandir}/man3/MPI_File_read_at_all_end.3.bz2
%{_mandir}/man3/MPI_File_read_ordered.3.bz2
%{_mandir}/man3/MPI_File_read_ordered_begin.3.bz2
%{_mandir}/man3/MPI_File_read_ordered_end.3.bz2
%{_mandir}/man3/MPI_File_read_shared.3.bz2
%{_mandir}/man3/MPI_File_seek.3.bz2
%{_mandir}/man3/MPI_File_seek_shared.3.bz2
%{_mandir}/man3/MPI_File_set_atomicity.3.bz2
%{_mandir}/man3/MPI_File_set_errhandler.3.bz2
%{_mandir}/man3/MPI_File_set_info.3.bz2
%{_mandir}/man3/MPI_File_set_size.3.bz2
%{_mandir}/man3/MPI_File_set_view.3.bz2
%{_mandir}/man3/MPI_File_sync.3.bz2
%{_mandir}/man3/MPI_File_write.3.bz2
%{_mandir}/man3/MPI_File_write_all.3.bz2
%{_mandir}/man3/MPI_File_write_all_begin.3.bz2
%{_mandir}/man3/MPI_File_write_all_end.3.bz2
%{_mandir}/man3/MPI_File_write_at.3.bz2
%{_mandir}/man3/MPI_File_write_at_all.3.bz2
%{_mandir}/man3/MPI_File_write_at_all_begin.3.bz2
%{_mandir}/man3/MPI_File_write_at_all_end.3.bz2
%{_mandir}/man3/MPI_File_write_ordered.3.bz2
%{_mandir}/man3/MPI_File_write_ordered_begin.3.bz2
%{_mandir}/man3/MPI_File_write_ordered_end.3.bz2
%{_mandir}/man3/MPI_File_write_shared.3.bz2
%{_mandir}/man3/MPI_Finalize.3.bz2
%{_mandir}/man3/MPI_Finalized.3.bz2
%{_mandir}/man3/MPI_Gather.3.bz2
%{_mandir}/man3/MPI_Gatherv.3.bz2
%{_mandir}/man3/MPI_Get_count.3.bz2
%{_mandir}/man3/MPI_Get_elements.3.bz2
%{_mandir}/man3/MPI_Get_processor_name.3.bz2
%{_mandir}/man3/MPI_Get_version.3.bz2
%{_mandir}/man3/MPI_Graph_create.3.bz2
%{_mandir}/man3/MPI_Graph_get.3.bz2
%{_mandir}/man3/MPI_Graph_map.3.bz2
%{_mandir}/man3/MPI_Graph_neighbors.3.bz2
%{_mandir}/man3/MPI_Graph_neighbors_count.3.bz2
%{_mandir}/man3/MPI_Graphdims_get.3.bz2
%{_mandir}/man3/MPI_Group_compare.3.bz2
%{_mandir}/man3/MPI_Group_difference.3.bz2
%{_mandir}/man3/MPI_Group_excl.3.bz2
%{_mandir}/man3/MPI_Group_free.3.bz2
%{_mandir}/man3/MPI_Group_incl.3.bz2
%{_mandir}/man3/MPI_Group_intersection.3.bz2
%{_mandir}/man3/MPI_Group_range_excl.3.bz2
%{_mandir}/man3/MPI_Group_range_incl.3.bz2
%{_mandir}/man3/MPI_Group_rank.3.bz2
%{_mandir}/man3/MPI_Group_size.3.bz2
%{_mandir}/man3/MPI_Group_translate_ranks.3.bz2
%{_mandir}/man3/MPI_Group_union.3.bz2
%{_mandir}/man3/MPI_Ibsend.3.bz2
%{_mandir}/man3/MPI_Info_c2f.3.bz2
%{_mandir}/man3/MPI_Info_create.3.bz2
%{_mandir}/man3/MPI_Info_delete.3.bz2
%{_mandir}/man3/MPI_Info_dup.3.bz2
%{_mandir}/man3/MPI_Info_f2c.3.bz2
%{_mandir}/man3/MPI_Info_free.3.bz2
%{_mandir}/man3/MPI_Info_get.3.bz2
%{_mandir}/man3/MPI_Info_get_nkeys.3.bz2
%{_mandir}/man3/MPI_Info_get_nthkey.3.bz2
%{_mandir}/man3/MPI_Info_get_valuelen.3.bz2
%{_mandir}/man3/MPI_Info_set.3.bz2
%{_mandir}/man3/MPI_Init.3.bz2
%{_mandir}/man3/MPI_Init_thread.3.bz2
%{_mandir}/man3/MPI_Initialized.3.bz2
%{_mandir}/man3/MPI_Intercomm_create.3.bz2
%{_mandir}/man3/MPI_Intercomm_merge.3.bz2
%{_mandir}/man3/MPI_Iprobe.3.bz2
%{_mandir}/man3/MPI_Irecv.3.bz2
%{_mandir}/man3/MPI_Irsend.3.bz2
%{_mandir}/man3/MPI_Isend.3.bz2
%{_mandir}/man3/MPI_Issend.3.bz2
%{_mandir}/man3/MPI_Keyval_create.3.bz2
%{_mandir}/man3/MPI_Keyval_free.3.bz2
%{_mandir}/man3/MPI_Op_create.3.bz2
%{_mandir}/man3/MPI_Op_free.3.bz2
%{_mandir}/man3/MPI_Pack.3.bz2
%{_mandir}/man3/MPI_Pack_size.3.bz2
%{_mandir}/man3/MPI_Pcontrol.3.bz2
%{_mandir}/man3/MPI_Probe.3.bz2
%{_mandir}/man3/MPI_Recv.3.bz2
%{_mandir}/man3/MPI_Recv_init.3.bz2
%{_mandir}/man3/MPI_Reduce.3.bz2
%{_mandir}/man3/MPI_Reduce_scatter.3.bz2
%{_mandir}/man3/MPI_Request_c2f.3.bz2
%{_mandir}/man3/MPI_Request_free.3.bz2
%{_mandir}/man3/MPI_Rsend.3.bz2
%{_mandir}/man3/MPI_Rsend_init.3.bz2
%{_mandir}/man3/MPI_Scan.3.bz2
%{_mandir}/man3/MPI_Scatter.3.bz2
%{_mandir}/man3/MPI_Scatterv.3.bz2
%{_mandir}/man3/MPI_Send.3.bz2
%{_mandir}/man3/MPI_Send_init.3.bz2
%{_mandir}/man3/MPI_Sendrecv.3.bz2
%{_mandir}/man3/MPI_Sendrecv_replace.3.bz2
%{_mandir}/man3/MPI_Ssend.3.bz2
%{_mandir}/man3/MPI_Ssend_init.3.bz2
%{_mandir}/man3/MPI_Start.3.bz2
%{_mandir}/man3/MPI_Startall.3.bz2
%{_mandir}/man3/MPI_Status_c2f.3.bz2
%{_mandir}/man3/MPI_Test.3.bz2
%{_mandir}/man3/MPI_Test_cancelled.3.bz2
%{_mandir}/man3/MPI_Testall.3.bz2
%{_mandir}/man3/MPI_Testany.3.bz2
%{_mandir}/man3/MPI_Testsome.3.bz2
%{_mandir}/man3/MPI_Topo_test.3.bz2
%{_mandir}/man3/MPI_Type_commit.3.bz2
%{_mandir}/man3/MPI_Type_contiguous.3.bz2
%{_mandir}/man3/MPI_Type_create_darray.3.bz2
%{_mandir}/man3/MPI_Type_create_subarray.3.bz2
%{_mandir}/man3/MPI_Type_extent.3.bz2
%{_mandir}/man3/MPI_Type_free.3.bz2
%{_mandir}/man3/MPI_Type_get_contents.3.bz2
%{_mandir}/man3/MPI_Type_get_envelope.3.bz2
%{_mandir}/man3/MPI_Type_hindexed.3.bz2
%{_mandir}/man3/MPI_Type_hvector.3.bz2
%{_mandir}/man3/MPI_Type_indexed.3.bz2
%{_mandir}/man3/MPI_Type_lb.3.bz2
%{_mandir}/man3/MPI_Type_size.3.bz2
%{_mandir}/man3/MPI_Type_struct.3.bz2
%{_mandir}/man3/MPI_Type_ub.3.bz2
%{_mandir}/man3/MPI_Type_vector.3.bz2
%{_mandir}/man3/MPI_Unpack.3.bz2
%{_mandir}/man3/MPI_Wait.3.bz2
%{_mandir}/man3/MPI_Waitall.3.bz2
%{_mandir}/man3/MPI_Waitany.3.bz2
%{_mandir}/man3/MPI_Waitsome.3.bz2
%{_mandir}/man3/MPI_Wtick.3.bz2
%{_mandir}/man3/MPI_Wtime.3.bz2

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/hcc
%{_bindir}/hf77
#%{lambin}/balky
%{_bindir}/hcp
%{_bindir}/mpicc
%{_bindir}/mpiCC
%{_bindir}/mpif77
%{_mandir}/man1/hcc.1.bz2
%{_mandir}/man1/hcp.1.bz2
%{_mandir}/man1/hf77.1.bz2
%{_mandir}/man1/introu.1.bz2
%{_mandir}/man1/mpiCC.1.bz2
%{_mandir}/man1/mpicc.1.bz2
%{_mandir}/man1/mpif77.1.bz2
%{_mandir}/man1/lamd.1.bz2
%{_mandir}/man1/mpic++.1.bz2
%{_mandir}/mans/*
      
%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc LICENSE
%{lamhome}/lib/*
%{lamhome}/include/*

#For Trillium options
## man2 entries
%{_mandir}/man2/atkexit.2.bz2
%{_mandir}/man2/drecv.2.bz2
%{_mandir}/man2/dsend.2.bz2
%{_mandir}/man2/GALL.2.bz2
%{_mandir}/man2/GCOMPS.2.bz2
%{_mandir}/man2/getall.2.bz2
%{_mandir}/man2/getcomps.2.bz2
%{_mandir}/man2/getjones.2.bz2
%{_mandir}/man2/getnall.2.bz2
%{_mandir}/man2/getnjones.2.bz2
%{_mandir}/man2/getnodeid.2.bz2
%{_mandir}/man2/getnodes.2.bz2
%{_mandir}/man2/getnodetype.2.bz2
%{_mandir}/man2/getnotb.2.bz2
%{_mandir}/man2/getntype.2.bz2
%{_mandir}/man2/getorigin.2.bz2
%{_mandir}/man2/getotbs.2.bz2
%{_mandir}/man2/getrent.2.bz2
%{_mandir}/man2/getrentc.2.bz2
%{_mandir}/man2/getroute.2.bz2
%{_mandir}/man2/getroute2.2.bz2
%{_mandir}/man2/getrtype.2.bz2
%{_mandir}/man2/GJONES.2.bz2
%{_mandir}/man2/GNODES.2.bz2
%{_mandir}/man2/GOTBS.2.bz2
%{_mandir}/man2/IGNALL.2.bz2
%{_mandir}/man2/IGNCMP.2.bz2
%{_mandir}/man2/IGNDID.2.bz2
%{_mandir}/man2/IGNDTP.2.bz2
%{_mandir}/man2/IGNJON.2.bz2
%{_mandir}/man2/IGNOTB.2.bz2
%{_mandir}/man2/IGNTP.2.bz2
%{_mandir}/man2/IGORGN.2.bz2
%{_mandir}/man2/IGRTP.2.bz2
%{_mandir}/man2/introc.2.bz2
%{_mandir}/man2/INTROF.2.bz2
%{_mandir}/man2/kattach.2.bz2
%{_mandir}/man2/kcreate.2.bz2
%{_mandir}/man2/kdetach.2.bz2
%{_mandir}/man2/kdoom.2.bz2
%{_mandir}/man2/kenter.2.bz2
%{_mandir}/man2/KENTR.2.bz2
%{_mandir}/man2/_kexit.2.bz2
%{_mandir}/man2/kexit.2.bz2
%{_mandir}/man2/kinit.2.bz2
%{_mandir}/man2/krecv.2.bz2
%{_mandir}/man2/ksend.2.bz2
%{_mandir}/man2/ksr.2.bz2
%{_mandir}/man2/kstate.2.bz2
%{_mandir}/man2/KXIT.2.bz2
%{_mandir}/man2/lamf_rfclose.2.bz2
%{_mandir}/man2/lamf_rfopen.2.bz2
%{_mandir}/man2/lamf_rfread.2.bz2
%{_mandir}/man2/lamf_rfwrite.2.bz2
%{_mandir}/man2/lam_kpause.2.bz2
%{_mandir}/man2/lam_ksigblock.2.bz2
%{_mandir}/man2/lam_ksignal.2.bz2
%{_mandir}/man2/lam_ksigretry.2.bz2
%{_mandir}/man2/lam_ksigsetmask.2.bz2
%{_mandir}/man2/lam_ksigsetretry.2.bz2
%{_mandir}/man2/lam_rfclose.2.bz2
%{_mandir}/man2/lam_rfincr.2.bz2
%{_mandir}/man2/lam_rflseek.2.bz2
%{_mandir}/man2/lam_rfopen.2.bz2
%{_mandir}/man2/lam_rfposix.2.bz2
%{_mandir}/man2/lam_rfread.2.bz2
%{_mandir}/man2/lam_rfrmfd.2.bz2
%{_mandir}/man2/lam_rfstat.2.bz2
%{_mandir}/man2/lam_rfstate.2.bz2
%{_mandir}/man2/lam_rfwrite.2.bz2
%{_mandir}/man2/lam_rtrfforget.2.bz2
%{_mandir}/man2/lam_rtrfget.2.bz2
%{_mandir}/man2/lam_rtrforget.2.bz2
%{_mandir}/man2/lam_rtrget.2.bz2
%{_mandir}/man2/lam_rtrstore.2.bz2
%{_mandir}/man2/lam_rtrsweep.2.bz2
%{_mandir}/man2/lam_rtrudie.2.bz2
%{_mandir}/man2/lam_rtrwipe.2.bz2
%{_mandir}/man2/lpattach.2.bz2
%{_mandir}/man2/lpdetach.2.bz2
%{_mandir}/man2/NPROB.2.bz2
%{_mandir}/man2/nprobe.2.bz2
%{_mandir}/man2/NRCV.2.bz2
%{_mandir}/man2/nrecv.2.bz2
%{_mandir}/man2/nsend.2.bz2
%{_mandir}/man2/NSND.2.bz2
%{_mandir}/man2/PRCV.2.bz2
%{_mandir}/man2/PRCVC.2.bz2
%{_mandir}/man2/PRCVO.2.bz2
%{_mandir}/man2/precv.2.bz2
%{_mandir}/man2/psend.2.bz2
%{_mandir}/man2/PSND.2.bz2
%{_mandir}/man2/PSNDC.2.bz2
%{_mandir}/man2/PSNDO.2.bz2
%{_mandir}/man2/rbflook.2.bz2
%{_mandir}/man2/rbfparms.2.bz2
%{_mandir}/man2/rbfstate.2.bz2
%{_mandir}/man2/rbfsweep.2.bz2
%{_mandir}/man2/rbfudie.2.bz2
%{_mandir}/man2/rbfwipe.2.bz2
%{_mandir}/man2/recho.2.bz2
%{_mandir}/man2/rflat.2.bz2
%{_mandir}/man2/rflclean.2.bz2
%{_mandir}/man2/rforget.2.bz2
%{_mandir}/man2/rget.2.bz2
%{_mandir}/man2/rload.2.bz2
%{_mandir}/man2/rpcreate.2.bz2
%{_mandir}/man2/rpdoom.2.bz2
%{_mandir}/man2/rpgo.2.bz2
%{_mandir}/man2/RPLDGO.2.bz2
%{_mandir}/man2/rploadgo.2.bz2
%{_mandir}/man2/rpspawn.2.bz2
%{_mandir}/man2/rpstate.2.bz2
%{_mandir}/man2/rpwait.2.bz2
%{_mandir}/man2/RPWT.2.bz2
%{_mandir}/man2/rrsetrents.2.bz2
%{_mandir}/man2/TRCV.2.bz2
%{_mandir}/man2/trecv.2.bz2
%{_mandir}/man2/TRROR.2.bz2
%{_mandir}/man2/tsend.2.bz2
%{_mandir}/man2/TSND.2.bz2
## man3 entries
%{_mandir}/man3/all_hash.3.bz2
%{_mandir}/man3/all_list.3.bz2
%{_mandir}/man3/all_opt.3.bz2
%{_mandir}/man3/all_queue.3.bz2
%{_mandir}/man3/FTTIME.3.bz2
%{_mandir}/man3/LTOT.3.bz2
%{_mandir}/man3/ltot.3.bz2
%{_mandir}/man3/tstdio.3.bz2
%{_mandir}/man3/ttime.3.bz2
%{_mandir}/man3/TTOL.3.bz2
%{_mandir}/man3/ttol.3.bz2
#End of Trillium option

%{_mandir}/man3/MPI_Accumulate.3.bz2
%{_mandir}/man3/MPI_Alloc_mem.3.bz2
%{_mandir}/man3/MPI_COMM_DUP_FN.3.bz2
%{_mandir}/man3/MPI_Close_port.3.bz2
%{_mandir}/man3/MPI_Comm_accept.3.bz2
%{_mandir}/man3/MPI_Comm_c2f.3.bz2
%{_mandir}/man3/MPI_Comm_connect.3.bz2
%{_mandir}/man3/MPI_Comm_create_errhandler.3.bz2
%{_mandir}/man3/MPI_Comm_create_keyval.3.bz2
%{_mandir}/man3/MPI_Comm_delete_attr.3.bz2
%{_mandir}/man3/MPI_Comm_disconnect.3.bz2
%{_mandir}/man3/MPI_Comm_f2c.3.bz2
%{_mandir}/man3/MPI_Comm_free_keyval.3.bz2
%{_mandir}/man3/MPI_Comm_get_attr.3.bz2
%{_mandir}/man3/MPI_Comm_get_errhandler.3.bz2
%{_mandir}/man3/MPI_Comm_get_name.3.bz2
%{_mandir}/man3/MPI_Comm_get_parent.3.bz2
%{_mandir}/man3/MPI_Comm_join.3.bz2
%{_mandir}/man3/MPI_Comm_ser_errhandler.3.bz2
%{_mandir}/man3/MPI_Comm_set_attr.3.bz2
%{_mandir}/man3/MPI_Comm_set_name.3.bz2
%{_mandir}/man3/MPI_Comm_spawn.3.bz2
%{_mandir}/man3/MPI_Comm_spawn_multiple.3.bz2
%{_mandir}/man3/MPI_Errhandler_c2f.3.bz2
%{_mandir}/man3/MPI_Errhandler_f2c.3.bz2
%{_mandir}/man3/MPI_Free_mem.3.bz2
%{_mandir}/man3/MPI_Get.3.bz2
%{_mandir}/man3/MPI_Get_address.3.bz2
%{_mandir}/man3/MPI_Group_c2f.3.bz2
%{_mandir}/man3/MPI_Group_f2c.3.bz2
%{_mandir}/man3/MPI_Is_thread_main.3.bz2
%{_mandir}/man3/MPI_Lookup_name.3.bz2
%{_mandir}/man3/MPI_Op_c2f.3.bz2
%{_mandir}/man3/MPI_Op_f2c.3.bz2
%{_mandir}/man3/MPI_Open_port.3.bz2
%{_mandir}/man3/MPI_Publish_name.3.bz2
%{_mandir}/man3/MPI_Put.3.bz2
%{_mandir}/man3/MPI_Query_thread.3.bz2
%{_mandir}/man3/MPI_Request_f2c.3.bz2
%{_mandir}/man3/MPI_Status_f2c.3.bz2
%{_mandir}/man3/MPI_TYPE_DUP_FN.3.bz2
%{_mandir}/man3/MPI_Type_c2f.3.bz2
%{_mandir}/man3/MPI_Type_create_extent.3.bz2
%{_mandir}/man3/MPI_Type_create_hindexed.3.bz2
%{_mandir}/man3/MPI_Type_create_hvector.3.bz2
%{_mandir}/man3/MPI_Type_create_keyval.3.bz2
%{_mandir}/man3/MPI_Type_create_struct.3.bz2
%{_mandir}/man3/MPI_Type_delete_attr.3.bz2
%{_mandir}/man3/MPI_Type_dup.3.bz2
%{_mandir}/man3/MPI_Type_f2c.3.bz2
%{_mandir}/man3/MPI_Type_free_keyval.3.bz2
%{_mandir}/man3/MPI_Type_get_attr.3.bz2
%{_mandir}/man3/MPI_Type_get_extent.3.bz2
%{_mandir}/man3/MPI_Type_get_name.3.bz2
%{_mandir}/man3/MPI_Type_get_true_extent.3.bz2
%{_mandir}/man3/MPI_Type_set_attr.3.bz2
%{_mandir}/man3/MPI_Type_set_name.3.bz2
%{_mandir}/man3/MPI_WIN_DUP_FN.3.bz2
%{_mandir}/man3/MPI_Win_c2f.3.bz2
%{_mandir}/man3/MPI_Win_complete.3.bz2
%{_mandir}/man3/MPI_Win_create.3.bz2
%{_mandir}/man3/MPI_Win_create_errhandler.3.bz2
%{_mandir}/man3/MPI_Win_create_keyval.3.bz2
%{_mandir}/man3/MPI_Win_delete_attr.3.bz2
%{_mandir}/man3/MPI_Win_f2c.3.bz2
%{_mandir}/man3/MPI_Win_fence.3.bz2
%{_mandir}/man3/MPI_Win_free.3.bz2
%{_mandir}/man3/MPI_Win_free_keyval.3.bz2
%{_mandir}/man3/MPI_Win_get_attr.3.bz2
%{_mandir}/man3/MPI_Win_get_errhandler.3.bz2
%{_mandir}/man3/MPI_Win_get_group.3.bz2
%{_mandir}/man3/MPI_Win_get_name.3.bz2
%{_mandir}/man3/MPI_Win_post.3.bz2
%{_mandir}/man3/MPI_Win_set_attr.3.bz2
%{_mandir}/man3/MPI_Win_set_errhandler.3.bz2
%{_mandir}/man3/MPI_Win_set_name.3.bz2
%{_mandir}/man3/MPI_Win_start.3.bz2
%{_mandir}/man3/MPI_Win_wait.3.bz2
%{_mandir}/man3/XMPI_Buoy.3.bz2
%{_mandir}/man3/XMPI_Coloroff.3.bz2
%{_mandir}/man3/XMPI_Coloron.3.bz2
%{_mandir}/man3/libmpi.3.bz2
%{_mandir}/man3/MPIL*.3.bz2
%{_mandir}/man5/CONSTANTS.5.bz2
%{_mandir}/man5/appschema.5.bz2
%{_mandir}/man5/bhost.5.bz2
%{_mandir}/man5/conf.5.bz2
%{_mandir}/man5/lam-helpfile.5.bz2
%{_mandir}/man5/procschema.5.bz2
%{_mandir}/man7/LAM.7.bz2
%{_mandir}/man7/MPI.7.bz2
%{_mandir}/man7/lam.7.bz2
%{_mandir}/man7/mpi.7.bz2

%preun -n %{name}-runtime
su - mpi -c "lamhalt"

%files -n %{name}-runtime
%defattr(-,root,root)
%doc LICENSE 
#$RPM_BUILD_ROOT%{_docdir}/%{mpiname}/*
#%config(noreplace) %attr(644,mpi,mpi) %{mpihome}/.rhosts
%{_bindir}/lamclean
%{_bindir}/lamexec
%{_bindir}/lamgrow
%{_bindir}/lamshrink
%{_bindir}/lamtrace
%{_bindir}/mpimsg
%{_bindir}/mpirun-lam
%{_bindir}/mpitask
%{_bindir}/lamd
%{_bindir}/tping
%{_bindir}/hboot
%{_bindir}/lamboot
%{_bindir}/lamhalt
%{_bindir}/lamnodes
%{_bindir}/recon
%{_bindir}/tkill
%{_bindir}/wipe
%{_bindir}/lamd_bforward
%{_bindir}/lamd_bufferd
%{_bindir}/lamd_dli_inet
%{_bindir}/lamd_dlo_inet
%{_bindir}/lamd_echod
%{_bindir}/lamd_filed
%{_bindir}/lamd_flatd
%{_bindir}/lamd_haltd
%{_bindir}/lamd_iod
%{_bindir}/lamd_kenyad
%{_bindir}/lamd_kernel
%{_bindir}/lamd_loadd
%{_bindir}/lamd_router
%{_bindir}/lamd_traced
%{_bindir}/lamd_versiond
%{_bindir}/laminfo
%{_bindir}/mpic++
%{_bindir}/mpiexec
%{_mandir}/man1/hboot.1.bz2
%{_mandir}/man1/lamboot.1.bz2
%{_mandir}/man1/lamclean.1.bz2
%{_mandir}/man1/lamexec.1.bz2
%{_mandir}/man1/lamgrow.1.bz2
%{_mandir}/man1/lamshrink.1.bz2
%{_mandir}/man1/lamtrace.1.bz2
%{_mandir}/man1/wipe.1.bz2
%{_mandir}/man1/mpimsg.1.bz2
%{_mandir}/man1/mpirun-lam.1.bz2
%{_mandir}/man1/mpitask.1.bz2
%{_mandir}/man1/recon.1.bz2
%{_mandir}/man1/tkill.1.bz2
%{_mandir}/man1/tping.1.bz2
%{_datadir}/lam/lam-shell-setup.csh
%{_datadir}/lam/lam-shell-setup.sh
%{_datadir}/lam/lam_module.tcl
%{_mandir}/man1/laminfo.1.bz2
%{_mandir}/man1/mpiexec.1.bz2
%{_mandir}/man3/MPI_Win_Lock.3.bz2
%{_mandir}/man3/MPI_Win_Test.3.bz2
%{_mandir}/man3/MPI_Win_call_errhandler.3.bz2
%{_mandir}/man3/MPI_Win_unlock.3.bz2
%{_mandir}/man7/lamssi.7.bz2
%{_mandir}/man7/lamssi_boot.7.bz2
%{_mandir}/man7/lamssi_coll.7.bz2
%{_mandir}/man7/lamssi_cr.7.bz2
%{_mandir}/man7/lamssi_rpi.7.bz2



# For Trillium Option
%{_bindir}/bfctl
%{_bindir}/bfstate
%{_bindir}/doom
%{_bindir}/fctl
%{_bindir}/fstate
%{_bindir}/loadgo
%{_bindir}/state
%{_bindir}/sweep
%{_bindir}/kdump
%{_bindir}/ipcdr
%{_bindir}/filedr
%{_mandir}/man1/bfctl.1.bz2
%{_mandir}/man1/bfstate.1.bz2
%{_mandir}/man1/doom.1.bz2
%{_mandir}/man1/fctl.1.bz2
%{_mandir}/man1/fstate.1.bz2
%{_mandir}/man1/loadgo.1.bz2
%{_mandir}/man1/state.1.bz2
%{_mandir}/man1/sweep.1.bz2
#End of Trillium Option

%attr(755,mpi,mpi) %{mpihome}/test_mpi.%{name}

%dir %{_sysconfdir}/lam

%config(noreplace) %{_sysconfdir}/lam/lam-bhost.def
%config(noreplace) %{_sysconfdir}/lam/lam-conf.lamd
%config(noreplace) %{_sysconfdir}/lam/lam-ssi-boot-globus-helpfile
#%config(noreplace) %{_sysconfdir}/lam/lam-bhost.lam
#%config(noreplace) %{_sysconfdir}/lam/lam-conf.lam
#%config(noreplace) %{_sysconfdir}/lam/lam-conf.otb
%config(noreplace) %{_sysconfdir}/lam/lam-helpfile
%config(noreplace) %{_sysconfdir}/profile.d/*


%changelog
* Fri Jun 25 2004 Erwan Velu <erwan@mandrakesoft.com> 7.0.6-2mdk
- Rebuild
* Fri Jun 11 2004 Erwan Velu <erwan@mandrakesoft.com> 7.0.6-1mdk
- 7.0.6
* Fri Feb 26 2004 Erwan Velu <erwan@mandrakesoft.com> 7.0.4-2mdk
- Rebuild
* Thu Feb 19 2004 Erwan Velu <erwan@mandrakesoft.com> 7.0.4-1mdk
- New release (waow since a really long time)
* Wed May 28 2003 Erwan Velu <erwan@mandrakesoft.com> 6.5.9-4mdk
- Removing mklibname
* Wed May 28 2003 Erwan Velu <erwan@mandrakesoft.com> 6.5.9-3mdk
- ifarching x86_64
* Wed  Jan 29 2003 Erwan Velu <erwan@mandrakesoft.com> 6.5.9-2mdk
- Final release
* Mon Jan 20 2003 Erwan Velu <erwan@mandrakesoft.com> 6.5.9-1mdk
- New version
* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 6.5.8-4mdk
- Rebuild for new glibc
- Fixing missing errno.h
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 6.5.8-3mdk
- Fixing missing files
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 6.5.8-2mdk
- Relocating lam binaries 
- Changing mpirun to mpirun-lam for removing conflicts with mpich
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 6.5.8-1mdk
- New version
- Fixing path for removing conflicts with mpich
- Changing mpirun.1 in mpirun-lam.1 to avoid mpich conflict
* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesodft.com> 6.5.6-16mdk
- rebuild
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 6.5.6-15mdk
- build with gcc 3.2
* Mon Jun 17 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-14mdk
- Fixing missing requires
- Adding noreplace on config files
* Thu Jun 06 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-13mdk
- Fixing mpi user id
- Fixing wrong perm on sample script
* Wed Jun 05 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-12mdk
- Fixing .bashrc for mpi
* Tue Jun 04 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-11mdk
- Fixing conflict between libmpich0-devel and lam-doc
* Tue Jun 04 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-10mdk
- Fixing wrong right on sample script
- Changing sample script
* Fri May 31 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-9mdk
- Removing virtual MPI provides
- Adding hello world mpi sample program
* Tue May 28 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-8mdk
- Adding conflicts on all packages

* Tue May 28 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-7mdk
- Stopping lam before uninstalling package

* Mon May 27 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-6mdk
- Fixing late friday changes :-)
- Proving virtual Mpi is now fixed

* Fri May 24 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-5mdk
- Adding mpi user
- Providing virtual Mpi
- Adding sample rhost configuration file

* Fri May 24 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-4mdk
- Added Trillium option (devel option), man pages and binaries
- Creating devel package
- Cleaning liblam0-devel package

* Fri May 24 2002 Erwan Velu <erwan@mandrakesoft.com> 6.5.6-3mdk
- Gcc 3.1 build
- Cleaning Spec file

* Tue Nov 27 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 6.5.6-2mdk
- Added Conflict tag for mpich conflicts

* Tue Nov 27 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 6.5.6-1mdk
- 6.5.6

* Fri Nov 23 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 6.5.5-3mdk
- Added include files missed from last upload

* Thu Nov 22 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 6.5.5-2mdk
- rebuild

* Mon Nov 19 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 6.5.5-1mdk
- First version of the package

# end of file
